Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #745 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

ezsetup broken, ez_install fine

Reported by: turbogears[hat]2xlp.com Owned by: anonymous
Priority: normal Milestone: 0.9a5
Component: Installation Version: 0.9a4
Severity: normal Keywords:
Cc:

Description

Last night ( 2006-04-09 ) I installed the preview version using the ez_setup instructions here:  http://www.turbogears.org/preview/download/nix.html#ezsetup

The 'best match' it gave me for turbogears was the .8x version tree, not the .9

I thought it might have been becuase of this parameter (  http://www.turbogears.org/download/index.html ) , (which should probably be fixed to the preview version anyways) so i tried it with this url instead (  http://www.turbogears.org/preview/download/index.html ) -- still got the .8x version

BUT, using easy_install, it works: sudo easy_install blah

Tried it on 2 macs, both 10.4.6 and py2.4 - same result

==== sudo /usr/local/bin/python ez_setup.py -f  http://www.turbogears.org/preview/download/index.html --script-dir /usr/local/bin TurboGears Searching for TurboGears Best match: TurboGears 0.8.9 Processing TurboGears-0.8.9-py2.4.egg TurboGears 0.8.9 is already the active version in easy-install.pth Installing tg-admin script to /usr/local/bin ====

Change History

comment:1 Changed 13 years ago by simon

Try using -U switch.

I don't think 0.9 is even in cheeseshop yet, considering it's alpha.

comment:2 Changed 13 years ago by turbogears[hat]2xlp.com

ok, this will work:

sudo python ez_setup.py -Uf  http://www.turbogears.org/preview/download/index.html --script-dir /usr/local/bin TurboGears

and this seems to work now too sudo python ez_setup.py -f  http://www.turbogears.org/preview/download/index.html --script-dir /usr/local/bin TurboGears

Both give: Best match: TurboGears 0.9a4

i don't know why it didn't work earlier.

anyways, someone with commit access should change the docs on the website to point to the right url to download .

The instructions, as they stand, will install .8x

comment:3 Changed 13 years ago by simon

  • Milestone set to 0.9a5

comment:4 Changed 13 years ago by kevin

  • Status changed from new to closed
  • Resolution set to fixed

Without the -U, it's entirely possible that it saw the eggs on your system already, which is why it ignored the -f.

The site has been updated already at this point to highlight the correct location.

Note: See TracTickets for help on using tickets.